using System;

namespace Intrepid.Gameplay.Entities.Player.PDA.Inputs
{
    public interface PDAInputs
    {
        DPad DPad { get; }
        Func<bool> Cancel { get; }
        Func<bool> Enter { get; }
        Func<bool> ExitPDA { get; }
        Func<bool> ShoulderLeft { get; }
        Func<bool> ShoulderRight { get; }
        Func<float> TriggerLeft { get; }
        Func<float> TriggerRight { get; }
        Func<bool> HasTriggerInput { get; }
    }

    public interface DPad
    {
        Func<bool> Up { get; }
        Func<bool> Down { get; }
        Func<bool> Left { get; }
        Func<bool> Right { get; }
    }
}